: Interface LabelServiceInterface

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.jigsaw.pics
Interface LabelServiceInterface

All Known Implementing Classes:
  SampleLabelService

public interface LabelServiceInterface

Method Summary
`void` | `dump(java.lang.StringBuffer buffer, int format)` Dump this service description into the provided buffer.
`LabelInterface` | `getGenericLabel(java.net.URL u)` Get the most specific generic label for the given URL.
`LabelInterface[]` | `getGenericTreeLabels(java.net.URL u)` Get the generic tree labels for the given URL.
`LabelInterface` | `getSpecificLabel(java.net.URL u)` Get the specific labels for a given URL.
`LabelInterface[]` | `getTreeLabels(java.net.URL u)` Get the tree labels for the given URL.

Method Detail

### getSpecificLabel

    public LabelInterface getSpecificLabel(java.net.URL u)

  Get the specific labels for a given URL.
  Parameters:
    `url` - The URL whose label is to be fetched.
  Returns:
    An object conorminig to the LabelInterface, or null if none was found.

### getGenericLabel

    public LabelInterface getGenericLabel(java.net.URL u)

  Get the most specific generic label for the given URL.
  Parameters:
    `url` - The URL whose label is to be retreived.
  Returns:
    An object conforming to the LabelInterface, or null if none was found.

### getTreeLabels

    public LabelInterface[] getTreeLabels(java.net.URL u)

  Get the tree labels for the given URL.
  Parameters:
    `url` - The URL whose tree labels are to be retreieved.
  Returns:
    An array of objects conforming to the LabelInterface, or null if none was found.

### getGenericTreeLabels

    public LabelInterface[] getGenericTreeLabels(java.net.URL u)

  Get the generic tree labels for the given URL.
  Parameters:
    `url` - The URL whose labels is to be retreieved.
  Returns:
    An array of object conforming to the LabelInterface, or null if none was found.

### dump

    public void dump(java.lang.StringBuffer buffer,
                     int format)

  Dump this service description into the provided buffer. This method is called by the protocol handler, whenever it needs to send back the service description.
  Parameters:
    `buffer` - The buffer in whichi to dump the service description.
    `format` - The format in which this service is to be dumped (which can be any of ... FIXME)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD